#ifndef CONST_VOLTAGE_OUTPUT_H_
#define CONST_VOLTAGE_OUTPUT_H_

/**** Includes ****/
#include <stdint.h>
#include "ain.h"
#include "halfbridge.h"

namespace bsp {

/**** Public definitions ****/

class CVOut
{
	public:
	CVOut(void);
	~CVOut(void);
	
	void init(AnalogIn* ain_ch, Halfbridge* out_ch);
	
	uint16_t voltage;
	uint8_t disabled;
	uint8_t process_ain;
	
	void process(void);
	
	#ifndef TESTING
	protected:
	#endif
	AnalogIn* ain_ch;
	Halfbridge* out_ch;
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* CONST_VOLTAGE_OUTPUT_H_ */